var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import PropTypes from 'prop-types';
import Chip from '@mui/material/Chip';
import CancelIcon from '@mui/icons-material/Cancel';
export var ReactSelectMultiValue = function (props) {
    var children = props.children, selectProps = props.selectProps, removeProps = props.removeProps;
    return (React.createElement(Chip, { tabIndex: -1, label: children, className: selectProps.classes.multiValue, classes: {
            label: selectProps.classes['multiValue__label']
        }, onDelete: removeProps.onClick, deleteIcon: React.createElement(CancelIcon, __assign({}, props.removeProps, { style: { height: '18px', width: '18px', color: 'rgba(0,0,0,0.38)', marginRight: '8px' } })) }));
};
ReactSelectMultiValue.propTypes = {
    children: PropTypes.node,
    isFocused: PropTypes.bool.isRequired,
    removeProps: PropTypes.shape({
        onClick: PropTypes.func.isRequired,
        onMouseDown: PropTypes.func.isRequired,
        onTouchEnd: PropTypes.func.isRequired
    }).isRequired,
    selectProps: PropTypes.object.isRequired
};
